packages: vim-syntax-lighttpd/syntax.sh - take srcdir from $1

glen glen at pld-linux.org
Mon Nov 9 13:52:03 CET 2009


Author: glen                         Date: Mon Nov  9 12:52:03 2009 GMT
Module: packages                      Tag: HEAD
---- Log message:
- take srcdir from $1

---- Files affected:
packages/vim-syntax-lighttpd:
   syntax.sh (1.4 -> 1.5) 

---- Diffs:

================================================================
Index: packages/vim-syntax-lighttpd/syntax.sh
diff -u packages/vim-syntax-lighttpd/syntax.sh:1.4 packages/vim-syntax-lighttpd/syntax.sh:1.5
--- packages/vim-syntax-lighttpd/syntax.sh:1.4	Mon Oct  5 08:23:54 2009
+++ packages/vim-syntax-lighttpd/syntax.sh	Mon Nov  9 13:51:58 2009
@@ -5,9 +5,16 @@
 # Maintainer:   Elan Ruusamae <glen at pld-linux.org>
 # Last Change:  $Date$ UTC
 
+d=$1/src
+
+if [ $# = 0 -o ! -d "$d" ]; then
+	echo >&2 "${0#*/}: <lighttpd-src>"
+	exit 1
+fi
+
 set -e
-for a in configfile.c mod_*.c; do
-	[ "$a" = "mod_skeleton.c" ] && continue
+for a in $d/configfile.c $d/mod_*.c; do
+	[[ "$a" = */mod_skeleton.c ]] && continue
 	echo >&2 "# $a"
 	cpp -DHAVE_LSTAT -E $a 2>/dev/null | sed -n '
 	/T_CONFIG_DEPRECATED/d
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/vim-syntax-lighttpd/syntax.sh?r1=1.4&r2=1.5&f=u



More information about the pld-cvs-commit mailing list